LINUX.ORG.RU

Не получаеться подружить Radeon RX580 и Catalyst [Archlinux]

 ,


0

1

Ребят, подскажите, как завести нормальные драйвера под эту видеокарту?

Установлено: catalyst-control, catalyst-hook, catalyst-libgl, catalyst-utils, lib32-catalyst-utils, lib32-opencl-catalyst, opencl-catalyst.

Ядро: 4.1.13-1-ARCH
Иксы: 1.17.4.-2
Каталист: 15.12-7

В lsmod | grep fglrx пусто. Modprobe fglrx : No such device

aticonfig говорит: «No supported adapters detected».

До конфигурации xorg.conf еще не добрался, второй час голову ломаю, что ему не нравиться...

P.S от каталиста требуеться разгон, скорость вращения вентилятора и т.д

Так Каталист же уже вроде выкинули на мороз, не?

Medar ★★★★★ ()
Ответ на: комментарий от flappyright

Вроде жив

Catalyst не работает.

Ты уж определись шашечки тебе или ехать.

anonymous ()

RX580
Каталист: 15.12


Телепаты в отпуску, поэтому и не добавили поддержку карты 2017го года в драйвер 2015го. А вообще, как правильно выше заметили, каталист уже не поддержиивается, ему на смену пришёл опенсорсный amdgpu на пару с проприетарным amdgpu-pro. Но я сильно подозреваю, что на ядре 4.1 тебе это не сильно поможет. Так что обнови-ка весь аппаратный стек до актуального, а уж потом принимайся за эксперименты с видеодрайвером.

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

Телепаты в отпуску, поэтому и не добавили поддержку карты 2017го года в драйвер 2015го

Не сообразил, каюсь. Как-то даже стыдно стало. Спасибо.

amdgpu-pro

Еще раз спасибо, пошел пробовать...

flappyright ()
Последнее исправление: flappyright (всего исправлений: 1)

от каталиста требуеться разгон, скорость вращения вентилятора и т.д

Это есть в официальном драйвере AMDGPU, идущем в ядре.

anonymous ()
Ответ на: комментарий от flappyright

Не пробуй PRO, если не нужен OpenCL 2.0 прямо щас, Mesa 17 быстрее почти везде в играх.

anonymous ()

Судя по этому обзору требования к стеку такие же как и для Polaris10. Для того чтоб разработало из коробки нужно минимум kernel 4.8 и mesa 12.0, тогда не нужно проприетарный драйвер ставить, но mesa 12 считается устаревший, общий буст производительности был в 13, сейчас актуальная стабильная версия 17.1. Если только игори на opengl то рекомендую mesa.

anonymous ()
Ответ на: комментарий от anonymous

Судя по этому обзору требования к стеку такие же как и для Polaris10

Потому что 570 и 580 это немного допиленные в плане техпроцесса 470 и 480.

anonymous ()

P.S от каталиста требуеться разгон, скорость вращения вентилятора и т.д

Открытый драйвер позволяет управлять скорость вентилятора, но через консоль, графического тула нету. Разгон в процессе реализации, пока еще в зачаточном состоянии.

anonymous ()
Ответ на: комментарий от anonymous

Ах да, ядро + firmware, обычная проприетарные вещи в дистрибутивах поставляются отдельным пакетом. Да-да, свободные драйвера требуют проприетарных firmware.

anonymous ()

Ребят, подскажите, как завести нормальные драйвера под эту видеокарту?

У меня открытый быстрее работал и выше производительность показывал.

fehhner ★★★★ ()

https://wiki.archlinux.org/index.php/AMDGPU

вот тебе. и расставляй дефисы в версии ядра правильно, а то я хотел поинтересоваться, зачем рачу отращивать такую бороду

SevikL ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.